Bug 31249 - update_patrons_category.pl cron does not log to action_logs
Summary: update_patrons_category.pl cron does not log to action_logs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-27 19:47 UTC by Liz Rea
Modified: 2022-10-23 09:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31249: Use cronlogaction on update_patrons_category.pl (1.24 KB, patch)
2022-07-27 23:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 31249: Use cronlogaction on update_patrons_category.pl (1.28 KB, patch)
2022-07-28 14:12 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 31249: Use cronlogaction on update_patrons_category.pl (1.34 KB, patch)
2022-08-05 11:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2022-07-27 19:47:09 UTC
The cron job update_patrons_category.pl does not log anything to the action_logs via cronlogaction. It would be awesome if it did, so that curious users can know a job ran from within Koha's web interface.
Comment 1 Tomás Cohen Arazi 2022-07-27 23:48:16 UTC
Created attachment 138189 [details] [review]
Bug 31249: Use cronlogaction on update_patrons_category.pl

This patch does what the title says.

To test:
1. Run the script
2. Check the action logs
=> FAIL: Boo, no record of the running cronjob
3. Apply this patch
4. Repeat 1-2
=> SUCCESS: Yay!
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Liz Rea 2022-07-28 14:12:51 UTC
Created attachment 138206 [details] [review]
Bug 31249: Use cronlogaction on update_patrons_category.pl

This patch does what the title says.

To test:
1. Run the script
2. Check the action logs
=> FAIL: Boo, no record of the running cronjob
3. Apply this patch
4. Repeat 1-2
=> SUCCESS: Yay!
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Liz Rea <liz@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-08-05 11:29:14 UTC
Created attachment 138682 [details] [review]
Bug 31249: Use cronlogaction on update_patrons_category.pl

This patch does what the title says.

To test:
1. Run the script
2. Check the action logs
=> FAIL: Boo, no record of the running cronjob
3. Apply this patch
4. Repeat 1-2
=> SUCCESS: Yay!
5. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Liz Rea <liz@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 4 Tomás Cohen Arazi 2022-08-05 15:05:44 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-09-29 17:02:43 UTC
Backported to 22.05.x for 22.05.06
Comment 6 Victor Grousset/tuxayo 2022-10-13 16:16:26 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 7 Arthur Suzuki 2022-10-22 22:09:11 UTC
Thanks!

Pushed to 21.11 for 21.11.12